# open this flag when support more pkg in the future
%bcond_with tests

%global common_description %{expand:
Routes is a Python re-implementation of the Rails routes system for mapping\
URL's to Controllers/Actions and generating URL's. Routes makes it easy to\
create pretty and concise URL's that are RESTful with little effort.}

Summary: Routing Recognition and Generation Tools
Name:    python-routes
Version: 2.5.1
Release: 5%{?dist}
License: MIT
URL:     https://github.com/bbangert/routes
Source0: https://pypi.io/packages/source/R/Routes/Routes-%{version}.tar.gz

BuildRequires: python3-devel python3dist(setuptools) python3dist(nose)
BuildRequires: python3dist(webob) python3dist(repoze-lru) python3dist(six)
%if %{with tests}
BuildRequires: python3dist(webtest)
%endif

BuildArch: noarch

%description
%common_description

%package -n python3-routes
Summary: Routing Recognition and Generation Tools

%description -n python3-routes %common_description

%prep
%autosetup -n Routes-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
PYTHONPATH=$(pwd) nosetests-%{python3_version}
%endif

%files -n python3-routes
%license LICENSE.txt
%doc README.rst CHANGELOG.rst docs
%{python3_sitelib}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 2.5.1-1
- initial build
